Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1651869 (CVE-2018-19046) - CVE-2018-19046 keepalived: Insecure use of temporary files allows attackers read sensitive information from pre-existing files
Summary: CVE-2018-19046 keepalived: Insecure use of temporary files allows attackers r...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-19046
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1651870 1652398
Blocks: 1651865
TreeView+ depends on / blocked
 
Reported: 2018-11-21 05:42 UTC by Sam Fowler
Modified: 2021-02-16 22:45 UTC (History)
10 users (show)

Fixed In Version: keepalived 2.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:42:52 UTC


Attachments (Terms of Use)

Description Sam Fowler 2018-11-21 05:42:30 UTC
keepalived before version 2.0.10 didn't check for existing plain files when writing data to a temporary file upon a call to PrintData or PrintStats. If a local attacker had previously created a file with the expected name (e.g., /tmp/keepalived.data or /tmp/keepalived.stats), with read access for the attacker and write access for the keepalived process, then this potentially leaked sensitive information.


Upstream Issue:

https://github.com/acassen/keepalived/issues/1048


Reference:

https://bugzilla.suse.com/show_bug.cgi?id=1015141

Comment 1 Sam Fowler 2018-11-21 05:43:00 UTC
Created keepalived tracking bugs for this issue:

Affects: fedora-all [bug 1651870]

Comment 5 Adam Mariš 2018-11-29 14:23:11 UTC
Statement:

This issue did not affect the versions of keepalived as shipped with Red Hat Enterprise Linux 6 and 7 as the packages are not built with dbus support, therefore the vulnerable code is not available in resulting RPM and the issue cannot be exploited.


Note You need to log in before you can comment on or make changes to this bug.